<template>
  <v-app>
    <v-app-bar :clipped-left="clipped" fixed app color="green accent-3">
      <v-toolbar-title v-text="title"/>
    </v-app-bar>
    <v-main>
      <v-container>
        <Nuxt/>
      </v-container>
    </v-main>
    <v-navigation-drawer v-model="rightDrawer" :right="right" temporary fixed>
      <v-list>
        <v-list-item @click.native="right = !right">
          <v-list-item-action>
            <v-icon light> mdi-repeat</v-icon>
          </v-list-item-action>
          <v-list-item-title>Switch drawer (click me)</v-list-item-title>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-footer :absolute="!fixed" app>
      <span>&copy; {{ new Date().getFullYear() }}</span>
    </v-footer>
  </v-app>
</template>

<script>
import {mapState} from 'vuex'
import MovieService from "~/services/MovieService";

export default {
  name: 'DefaultLayout',
  data() {
    return {
      title: 'Movie App',
    }
  },
  computed: {
    ...mapState({
      genres: (state) => state.genres.genres,
    }),
  },
  async mounted() {
    const genres = await MovieService.getGenres()
    await this.$store.dispatch('genres/setGenres', genres.data.genres)
  }
}
</script>
